(Untitled)

Dialogové okno Nastavení ODBC pro Microsoft Access

Hlavní ovládací prvky dialogového okna Nastavení ODBC pro Microsoft Access:

Název zdroje dat | Určuje název databáze Access. Výchozí nastavení je zadáno výrobcem. Pole Popis, které je ve výchozím nastavení prázdné, může obsahovat podrobnější informace.
Databáze | Poškozenou databázi Access opravíte klepnutím na tlačítko Opravit, nevyužité místo zmenšíte klepnutím na tlačítko Zkomprimovat. Existující databázi otevřete klepnutím na tlačítko Vybrat. Novou databázi vytvoříte klepnutím na tlačítko Vytvořit.
Systémová databáze | Klepnutím vyberete sdílenou databázi. Výchozí uživatelské jméno je Admin a výchozí heslo aplikace Microsoft Access pro uživatele Admin je prázdný řetězec.
Možnosti Klepnutím lze změnit následující možnosti ovladače:
  • Časový limit stránky. Doba (v desetinách sekundy), po kterou zůstane nepoužitá stránka ve vyrovnávací paměti. Hodnota musí být vždy větší než 0.

  • Velikost vyrovnávací paměti. Velikost vnitřní vyrovnávací paměti v kilobajtech použité aplikací Microsoft Access k přenosu dat z disku a na disk. Lze použít všechna celá čísla dělitelná číslem 256.

  • Omezující podmínky přístupu k databázi.
Upřesnit | Po klepnutí můžete konfigurovat další možnosti ovlivňující výkon ovladače.

Poznámka: Podrobné a programové informace o tomto ovladači naleznete na serveru msdn.microsoft.com. Otevřete knihovnu MSDN Library Online, část Platform SDK (Sada SDK pro používanou platformu), kde naleznete informace o sadě SDK pro součásti MDAC, jejichž součástí je oddíl s názvem ODBC Drivers (Ovladače ODBC). Další informace naleznete v tématech Převod zdroje dat, Soubory aplikace Access, Položky registru IISAM a Společné soubory součásti ODBC v tomto souboru s nápovědou. Podpora produktu je zajištěna.


.topic 2
Ukončí toto dialogové okno bez uložení změn.

.topic 3
Určuje název zdroje dat, například Payroll (Zúčtování mezd a platů) nebo Personnel (Zaměstnanci). Při použití ovladače aplikace Microsoft Excel 3.0 nebo 4.0 určuje výchozí adresář dat, ve kterém ovladač ODBC vyhledává datové soubory. Při použití ovladače aplikace Microsoft Excel 5.0, 7.0 nebo 97 určuje výchozí sešit dat, ve kterém ovladač ODBC vyhledává datové soubory.

.topic 4
Volitelný popis dat ve zdroji (například „datum nástupu, platový vývoj a přehled o aktuálních zaměstnancích").

.topic 5
Zobrazí nápovědu k tomuto dialogovému oknu.

.topic 6
Zavře dialogové okno Nastavit a uloží změny.

.topic 7
Zaškrtnutím nastavíte databázi jen pro čtení. Díky tomu nebude možné provádět aktualizace.

.topic 8
Počet prověřovaných řádků, podle kterých se zjišťuje typ dat v každém sloupci. V případě ovladače aplikace Microsoft Excel může být počet 1 až 16, přičemž výchozí hodnota je 8. Při nastavení na hodnotu 0 jsou prověřovány všechny řádky.

.topic 9
Klepnutím zobrazte dialogové okno Vybrat adresář pro výběr adresáře se soubory, ke kterým chcete získat přístup. U aplikací Microsoft Excel 3.0 a 4.0 zadejte při definování adresáře zdroje dat adresář obsahující nejpoužívanější soubory aplikace Excel.

.topic 10
Klepnutím zobrazte dialogové okno Vybrat sešit pro výběr sešitu, ke kterému chcete získat přístup.

.topic 11
Zaškrtnete-li toto políčko, označíte aktuální pracovní adresáře aplikace jako adresář zdroje dat. Pokud je zaškrtnutí zrušeno, můžete vybrat adresář zdroje dat klepnutím na tlačítko Vybrat adresář. Tato možnost není dostupná v aplikacích Microsoft Excel 5.0, 7.0 a 97.

.topic 12
Určuje verzi aplikace Excel u použitých souborů.

.topic 13
Pomocí těchto možností můžete změnit umístění a verzi souborů aplikace Excel.

.topic 14
Pomocí těchto možností můžete konfigurovat atributy specifické pro daný ovladač.

.topic 15
Klepněte a nakonfigurujte atributy specifické pro daný ovladač.

.topic 16
Umístění vybraného adresáře aplikace Excel.

.topic 17
Umístění vybraného sešitu aplikace Excel.

.topic 201
Klepněte a přidejte příponu, která byla zadána v okně Přípona.

.topic 202
Zavře toto dialogové okno bez uložení změn.

.topic 203
Určuje název zdroje dat, například Payroll (Zúčtování mezd a platů) nebo Personnel (Zaměstnanci), a výchozí adresář dat, ve kterém ovladač ODBC vyhledává datové soubory.

.topic 204
Po zaškrtnutí lze použít všechny soubory v adresáři. Pokud je zaškrtnutí zrušeno, obsahuje Seznam přípon pouze přípony ASC, CSV, TAB a TXT. Přípony lze podle potřeby přidávat nebo odstraňovat.

.topic 205
Klepnutím otevřete dialogové okno Definice formátu textu, ve kterém je možné definovat formáty sloupců a zadat schémata tabulek v adresáři zdroje dat.

.topic 206
Volitelný popis dat ve zdroji (například „datum nástupu, platový vývoj a přehled o aktuálních zaměstnancích").

.topic 207
Zadejte příponu, kterou chcete přidat, ve formátu *.xxx. Chcete-li například používat soubory DAT, zadejte příponu *.dat.

.topic 208
Zobrazí přípony textových souborů ve zdroji dat podle zaškrtnutí nebo zrušení zaškrtnutí políčka Výchozí.

.topic 214
Pomocí této možnosti je možné formátovat určité typy souborů.

.topic 215
Pomocí těchto možností je možné přidat nebo odebrat nevýchozí přípony souborů ze seznamu Seznam přípon. Příponu přidáte zrušením zaškrtnutí políčka Výchozí, zadáním nové přípony v políčku Přípona a klepnutím na tlačítko Přidat.

.topic 216
Pomocí těchto možností lze vybrat umístění textového souboru a zobrazit jeho název.

.topic 209
Zobrazí nápovědu k tomuto dialogovému oknu.

.topic 210
Zavře dialogové okno Nastavit a uloží změny.

.topic 211
Klepnutím odeberte vybranou příponu ze seznamu Seznam přípon.

.topic 212
Klepnutím zobrazte dialogové okno Vybrat adresář pro výběr adresáře se soubory, ke kterým chcete získat přístup.

.topic 213
Zaškrtnete-li toto políčko, označíte aktuální pracovní adresáře aplikace jako adresář zdroje dat. Pokud je zaškrtnutí zrušeno, můžete vybrat adresář zdroje dat klepnutím na tlačítko Vybrat adresář.

.topic 217
Klepněte a nakonfigurujte atributy textového souboru a přidejte nebo odeberte typy textových souborů.

.topic 218
Určuje umístění textového souboru.

.topic 301
Klepnutím přidejte sloupec pomocí hodnot v polích Typ dat, Název a Šířka.

.topic 302
Zavře toto dialogové okno bez uložení změn.

.topic 321
Určuje, zda je znaková sada standardu ANSI nebo OEM.

.topic 303
Určuje, že znaková sada pro formát položky vybrané v seznamu Tabulky je standardu ANSI.

.topic 304
Určuje, zda budou sloupce na prvním řádku vybrané tabulky použity jako názvy sloupců (TRUE v případě zaškrtnutí, FALSE v případě zrušení zaškrtnutí).

.topic 305
Zobrazí seznam názvů všech sloupců v tabulce vybrané v seznamu Tabulky. Pořadí sloupců v tabulce je zachováno.

.topic 319
Umožňuje definovat atributy sloupců zvoleného textového souboru.

.topic 306
Zobrazí typ dat - BIT, BYTE, CHAR, CURRENCY, DATE, FLOAT, INTEGER, LONGCHAR, SHORT nebo SINGLE.

.topic 307
Vlastní znak pro oddělování sloupců. Je možné použít pouze jeden znak. Nelze použít uvozovky. Tato možnost je dostupná, pokud je v seznamu Formát vybrána možnost Vlastní oddělené.

.topic 308
Oddělený nebo s pevnou délkou. V prvním případě je určen typ použitého oddělovače.

.topic 309
Generuje pro sloupce typ dat, název a šířku hodnot vybrané tabulky tak, že prověřuje obsah tabulky podle volby v seznamu Formát. Tato možnost je povolena, pokud je ve formátu tabulky použit oddělovač.

.topic 310
Zobrazí nápovědu k tomuto dialogovému oknu.

.topic 311
Upraví vybraný sloupec pomocí hodnot v polích Typ dat, Název a Šířka.

.topic 312
Zobrazí název vybraného sloupce. Pomocí této možnosti lze zadat nový název existujícího i nového sloupce.

.topic 313
Zavře toto dialogové a uloží změny.

.topic 314
Odstraní vybraný sloupec.

.topic 315
Počet řádků prověřovaných instalačním programem nebo ovladačem při nastavování sloupců a typů dat ve sloupcích. Jestliže v seznamu Tabulky nebyl definován formát vybrané položky, je výchozí hodnota 25 (lze zadat hodnotu v rozmezí 1 až 32767).

.topic 316
Zobrazí seznam všech souborů, jejichž přípony odpovídají seznamu v dialogovém okně Nastavení ODBC pro text. Vybráním souboru zobrazte a případně upravte atributy tabulky.

.topic 320
Pomocí těchto možností definujte atributy tabulky vybraného textového souboru.

.topic 317
Šířka sloupce. U sloupců typu CHAR nebo LONGCHAR může být změněna. U ostatních typů dat není možnost Šířka k dispozici a její hodnota není zobrazena. Výchozí hodnota je 1, pokud nebyl definován formát položky vybrané v seznamu Tabulky.

.topic 318
Určuje znakovou sadu jinou než ANSI (výchozí nastavení) pro formát souboru vybraný v seznamu Tabulky.

.topic 401
Zavře toto dialogové okno bez uložení změn.

.topic 402
Posloupnost, podle které jsou pole seřazena (ať už se jedná o sadu ASCII, což je výchozí nastavení, mezinárodní znakovou sadu, švédštinu-finštinu nebo norštinu-dánštinu).

.topic 403
Určuje název zdroje dat, například Payroll (Zúčtování mezd a platů) nebo Personnel (Zaměstnanci), a výchozí adresář dat, ve kterém ovladač ODBC vyhledává datové soubory.

.topic 404
Volitelný popis dat ve zdroji (například „datum nástupu, platový vývoj a přehled o aktuálních zaměstnancích").

.topic 405
Po zaškrtnutí bude databáze otevřena v exkluzivním režimu, ve kterém je přístup omezen na jednoho uživatele. Zaškrtnutím také zlepšíte výkon databáze. Po zrušení zaškrtnutí bude databáze otevřena ve sdíleném režimu a je přístupná pro více uživatelů zároveň.

.topic 406
Zobrazí nápovědu k tomuto dialogovému oknu.

.topic 407
Určuje styl přístupu k síti při přístupu k datům aplikace Paradox: „3.x" pro aplikaci Paradox 3.x nebo „4.x" pro aplikaci Paradox 4.x nebo 5.x. U aplikace Paradox verze 4.x a 5.x lze zvolit styl „3.x" nebo „4.x", u aplikace Paradox verze 3.x je třeba zadat styl „3.x".

.topic 408
Zavře dialogové okno Nastavit a uloží změny.

.topic 409
Doba (v desetinách sekundy), po kterou nepoužitá stránka zůstane ve vyrovnávací paměti. Výchozí nastavení je 600 desetin (60 sekund) a hodnota musí být větší než 0.

.topic 410
Klepnutím zobrazte dialogové okno Vybrat adresář pro výběr adresáře se soubory, ke kterým chcete získat přístup.

.topic 415
Určuje umístění souboru aplikace Paradox.

.topic 411
Před vybráním síťového adresáře je nutné do textového pole Uživatelské jméno zadat své uživatelské jméno v aplikaci Paradox.
 Potom vyberte síťový adresář klepnutím na tlačítko Vybrat síťový adresář.

.topic 416
Cesta k adresáři obsahující uzamčenou databázi aplikace Paradox a soubor Pdoxusrs.net (aplikace Paradox 4.x) nebo soubor Paradox.net (aplikace Paradox 5.x). Neobsahuje-li adresář jeden z těchto souborů, ovladač aplikace Paradox jej vytvoří.

.topic 412
Zaškrtnete-li toto políčko, označíte aktuální pracovní adresáře aplikace jako adresář zdroje dat. Pokud je zaškrtnutí zrušeno, můžete vybrat adresář zdroje dat klepnutím na tlačítko Vybrat adresář.

.topic 413
Uživatelské jméno v aplikaci Paradox, které se zobrazí ostatním uživatelům souborů aplikace Paradox při uzamčení.

.topic 414
Určuje verzi aplikace Paradox u použitých souborů - například Paradox 4.x nebo Paradox 5.x.

.topic 417
Pomocí těchto možností lze vybrat a zobrazit verze a umístění databáze aplikace Paradox.

.topic 418
Pomocí těchto možností lze konfigurovat ovladače aplikace Paradox.

.topic 419
Klepněte a nakonfigurujte atributy specifické pro daný ovladač.

.topic 501
Určuje, zda jsou statistiky týkající se velikosti tabulky zpracovány přibližně. Tato možnost je použita u všech zdrojů dat, které používají ovladače pro dBASE.

.topic 502
Zavře toto dialogové okno bez uložení změn.

.topic 503
Posloupnost, podle které jsou pole seřazena (ať už se jedná o ASCII, což je výchozí nastavení, nebo mezinárodní znakové sady).

.topic 504
Určuje název zdroje dat, například Payroll (Zúčtování mezd a platů) nebo Personnel (Zaměstnanci), a výchozí adresář dat, ve kterém ovladač ODBC vyhledává datové soubory.

.topic 505
Volitelný popis dat ve zdroji (například „datum nástupu, platový vývoj a přehled o aktuálních zaměstnancích").

.topic 506
Po zaškrtnutí bude databáze otevřena v exkluzivním režimu, ve kterém je přístup omezen na jednoho uživatele. Zaškrtnutím také zlepšíte výkon databáze. Po zrušení zaškrtnutí bude databáze otevřena ve sdíleném režimu a je přístupná pro více uživatelů zároveň.

.topic 507
Zobrazí nápovědu k tomuto dialogovému oknu.

.topic 508
Zavře dialogové okno Nastavit a uloží změny.

.topic 509
Doba (v desetinách sekundy), po kterou nepoužitá stránka zůstane ve vyrovnávací paměti. Hodnota má výchozí nastavení 600 desetin (60 sekund) a musí být větší než 0.

.topic 515
Určuje umístění databáze dBASE.

.topic 510
Klepnutím zobrazte dialogové okno Vybrat adresář pro výběr adresáře se soubory, ke kterým chcete získat přístup.

.topic 511
Klepnutím otevřete dialogové okno Vybrat indexy, ve kterém můžete soubory dBASE přidružit k indexovým souborům.

.topic 512
Určuje, zda mohou být řádky označené jako odstraněné obnoveny nebo umístěny zpět. Pokud je zaškrtnutí zrušeno (výchozí nastavení), nejsou odstraněné řádky zobrazeny. Jestliže je políčko zaškrtnuto, je s odstraněnými řádky zacházeno stejně jako s neodstraněnými.

.topic 513
Zaškrtnete-li toto políčko, označíte aktuální pracovní adresáře aplikace jako adresář zdroje dat. Pokud je zaškrtnutí zrušeno, můžete vybrat adresář zdroje dat klepnutím na tlačítko Vybrat adresář.

.topic 514
Určuje verzi programu dBASE u použitých souborů (například dBASE III, dBASE IV nebo dBASE 5.0).

.topic 516
Pomocí těchto možností lze vybrat a zobrazit verze a umístění databáze programu dBASE.

.topic 517
Pomocí těchto možností lze konfigurovat ovladače programu dBASE.

.topic 518
Klepněte a nakonfigurujte atributy specifické pro daný ovladač.

.topic 701
Klepněte a upřesněním možností ovladače změňte výkon.

.topic 702
Velikost vnitřní vyrovnávací paměti v kilobajtech použité aplikací Microsoft Access k přenosu dat z disku a na disk. Výchozí nastavení je 2048 kB (zobrazeno jako 2048). Zadejte celočíselnou hodnotu dělitelnou číslem 256.

.topic 703
Zavře toto dialogové okno bez uložení změn.

.topic 704
Klepněte a vytvořte databázi aplikace Access.

.topic 705
Klepnutím zmenšete nevyužité místo v existující databázi aplikace Access.

.topic 706
Určuje název zdroje dat, například Payroll (Zúčtování mezd a platů) nebo Personnel (Zaměstnanci), a výchozí adresář dat, ve kterém ovladač ODBC vyhledává datové soubory.

.topic 707
Umístění aktuálně vybrané databáze aplikace Access. Databázi vyberete klepnutím na tlačítko Vybrat.

.topic 708
Volitelný popis dat ve zdroji (například „datum nástupu, platový vývoj a přehled o aktuálních zaměstnancích").

.topic 709
Po zaškrtnutí bude databáze otevřena v exkluzivním režimu, ve kterém je přístup omezen na jednoho uživatele. Zaškrtnutím také zlepšíte výkon databáze. Po zrušení zaškrtnutí bude databáze otevřena ve sdíleném režimu a je přístupná pro více uživatelů zároveň.

.topic 710
Zobrazí nápovědu k tomuto dialogovému oknu.

.topic 711
Jestliže nebude použita žádná systémová databáze, přihlaste se výběrem této možnosti jako správce (defaultUser) určité databáze aplikace Access.

.topic 712
Zavře dialogové okno Nastavit a uloží změny.

.topic 713
Doba (v desetinách sekundy), po kterou nepoužitá stránka zůstane ve vyrovnávací paměti. Hodnota je ve výchozím nastavení 0,5 sekund a musí být větší než 0.

.topic 714
Umožní nastavit databázi jen pro čtení. Díky tomu nebude možné provádět aktualizace.

.topic 715
Klepnutím opravte poškozenou databázi aplikace Access.

.topic 716
Klepnutím vyberte požadovanou databázi aplikace Access.

.topic 723
Zaškrtněte, chcete-li použít systémovou databázi. Potom klepněte na tlačítko Systémová databáze.

.topic 717
Klepnutím otevřete dialogové okno Vybrat systémovou databázi, ve kterém můžete vybrat systémovou databázi (databázi pracovní skupiny), kterou chcete použít.

.topic 718
Pomocí těchto možností zobrazte umístění databáze aplikace Access a použijte funkce správy databáze.

.topic 719
Pomocí těchto možností lze vybrat systémovou databázi (databázi pracovní skupiny) a zobrazte její umístění.

.topic 720
Umístění aktuálně vybrané databáze aplikace Access.

.topic 721
Pomocí těchto možností lze konfigurovat ovladače aplikace Access.

.topic 722
Klepněte a nakonfigurujte atributy specifické pro daný ovladač.


Soubory aplikace Access

Ovladače ODBC Desktop Database Drivers 4.0 obsahují následující soubory ISAM pro ovladač aplikace Microsoft Access:

32bitový zdroj ISAM | Verze aplikace Microsoft Access
Žádný (obsažen v souboru Msjet40.dll) | 7.0 a 97
Msrd2x40.dll | 2.0
Msrd2x40.dll | 3.0

Poznámka: Jestliže používáte systém Microsoft Windows 95 nebo 98 (nikoli Microsoft Windows NT ani Windows 2000) a aplikace Microsoft Access není v počítači nainstalována, přidejte do souboru Config.sys řádek "FILES= 50".


Přihlášení do systémové databáze Access

Dialogové okno Přihlášení umožňuje zadat autorizované přihlašovací jméno aplikace Access a heslo při přihlášení do databáze Access dříve definované jako systémová databáze. Přihlašovací jména a hesla přiděluje správce databáze a měla by být zadávána v takové v podobě, v jaké byla přidělena.

Skupinový rámeček Zdroj dat označuje zdroj dat, ke kterému jste připojeni.

Poznámka: Pokud nebyl zdroj dat vybrán, můžete jej přiřadit po klepnutí na tlačítko Databáze.

Klepnutím na tlačítko OK zavřete dialogové okno a zahájíte proces přihlášení.

Klepnutím na tlačítko Storno zavřete dialogové okno a přihlášení zrušíte.


Společné soubory součásti ODBC

V následující tabulce jsou zobrazeny soubory vyžadované všemi součástmi ovladačů ODBC Desktop Database Drivers 4.0. Tyto soubory jsou instalovány v adresáři \Windows\System (systém Windows 95 nebo vyšší), případně \Windows\System32 (systém Windows NT nebo Windows 2000). Jestliže byly soubory ODBC již dříve nainstalovány v jiném adresáři, ujistěte se, že jsou používány novější soubory z adresáře \Windows\System (nebo System32).

Některé soubory jsou vyžadovány více součástmi. Chcete-li znovu distribuovat ovladače ODBC Desktop Database Drivers spolu s komerčními aplikacemi, je nutné znovu distribuovat také tyto soubory.

Všechny ovladače ODBC Desktop Database Drivers mají společné následující soubory:

Ds16gt.dll
Ds32gt.dll
Expsrv.dll
Msjint40.dll
Msjet40.dll
Msjter40.dll
Msjtes40.dll
Msvcrt40.dll 		Odbc16gt.dll
Odbc32.dll
Odbc32gt.dll
Odbccp32.cpl
Odbccp32.dll
Odbccr32.dll
Odbcinst.chm
Odbcint.dll 		Odbcjet.chm
Odbcji32.dll
Odbcjt32.dll
Odbctl32.dll
Vbajet32.dll
Odbctrac.dll


Dialogové okno Zdrojová databáze komprimace

Při komprimaci databáze jsou uložena existující data, ale z databáze je odstraněno nevyužité místo. Dialogové okno Zdrojová databáze komprimace slouží ke komprimování konkrétní databáze a zároveň umožňuje zadat způsob přístupu během komprimace - sdílené čtení/psaní (výchozí nastavení), jen pro čtení (zabraňující v aktualizacích) nebo výhradní přístup.

Ke komprimaci dat můžete použít dialogové okno Nastavení ODBC pro Microsoft Access. Klepněte na tlačítko Zkomprimovat a v dialogovém okně Zdrojová databáze komprimace vyberte soubor a cestu. Klepněte na tlačítko OK. V dialogovém okně Cílová databáze komprimace vyberte soubor a cestu, verzi výsledného zkomprimovaného souboru, národní prostředí a potom klepněte na tlačítko OK. Cílový soubor komprimace může mít stejný název jako komprimovaný soubor. Pokud má však cílový soubor komprimace stejný název jako jiný existující soubor, zobrazí se chybová zpráva. Výsledek komprimace souboru chráněného heslem nelze předvídat.


Dialogové okno Nová databáze

Zadejte úplnou cestu k nové databázi Microsoft Access, kterou chcete vytvořit.

V případě použití ovladače aplikace Microsoft Access vytvoříte databázi klepnutím na tlačítko Vytvořit.

Poznámka: Databáze vytvořená tímto způsobem bude fungovat pouze v aplikaci Microsoft Access 7.0 a vyšší.

Jestliže není při instalaci poskytnuta žádná databáze, bude uživatel vyzván ke zvolení databáze při připojování ke zdroji dat.

Hlavní ovládací prvky dialogového okna Nová databáze:

Název a umístění databáze | Určuje název a umístění nové databáze.
Národní prostředí | Určuje národní prostředí (ID jazyka) nebo jazyk databáze.
Formát | Formát databázového stroje Microsoft Jet Database Engine. Možnosti: Verze 4.x (nejnovější, formát Unicode), verze 3.x (formát ANSI) nebo verze 2.x (formát ANSI).
Možnosti | Klepnutím na tlačítko Systémová databáze vytvoříte databázi, kterou lze sdílet a která bude zaznamenána na kartě Systémové DSN ve Správci zdrojů dat ODBC. Zaškrtnutím políčka Šifrování nastavíte tuto možnost aplikace Access. V databázovém stroji Microsoft Jet Database Engine verze 4.0 je umožněno šifrování při vytvoření databáze. Další informace naleznete v příručce Jet Database Engine Programmer's Reference (Programátorská příručka k databázovému stroji Jet Database Engine). Tato možnost je k dispozici pouze v případě vybrání formátu verze 4.x.


Převod zdroje dat

32bitové zdroje dat používané ovladači ODBC Desktop Database Drivers verze 2.0 jsou pro verzi 4.0 automaticky převedeny na nové 32bitové zdroje. 16bitové zdroje dat převáděny nejsou. 16bitový zdroj dat změníte na 32bitový tak, že vytvoříte nový 32bitový zdroj dat a potom (volitelně) odstraníte starý 16bitový zdroj dat. 32bitový zdroj dat a 16bitový zdroj dat nemohou mít stejný název.


Soubory dBASE

Ovladače ODBC Desktop Database Drivers 4.0 obsahují následující soubory ISAM pro ovladač Microsoft dBASE:

32bitový zdroj ISAM | Verze programu dBASE
Msxbse40.dll Oddbse32.dll | dBASE III dBASE IV dBASE 5.0


Dialogové okno Nastavení ODBC pro dBASE

Hlavní ovládací prvky dialogového okna Nastavení ODBC pro dBASE:

Název zdroje dat | Určuje název databáze dBASE. Výchozí nastavení je zadáno výrobcem. Pole Popis, které je ve výchozím nastavení prázdné, může obsahovat podrobnější informace.
Databáze | Vyberte nainstalovanou verzi databáze dBASE a její umístění. Pokud zaškrtnete políčko Použít aktuální adresář, nebudou tlačítka Vybrat adresář a Vybrat indexy k dispozici.
Možnosti Klepnutím lze změnit následující možnosti ovladače:
  • Pořadí řazení. Umožňuje nastavit řazení.

  • Časový limit stránky. Doba (v desetinách sekundy), po kterou nepoužitá stránka zůstane ve vyrovnávací paměti. Hodnota musí být vždy větší než 0.

  • Výhradní přístup. Omezuje přístup do databáze na jednoho uživatele.

  • Zobrazit odstraněné řádky. Určuje, zda mohou být řádky označené jako odstraněné obnoveny nebo umístěny zpět.

  • Přibližný počet řádků. Ureuje, zda jsou statistiky týkající se velikosti tabulky zpracovány přibližně.

Poznámka: Podrobné a programové informace o tomto ovladači naleznete na serveru msdn.microsoft.com. Otevřete knihovnu MSDN Library Online, část Platform SDK (Sada SDK pro používanou platformu), kde naleznete informace o sadě SDK pro součásti MDAC, jejichž součástí je oddíl s názvem ODBC Drivers (Ovladače ODBC). Další informace naleznete v tématech Převod zdroje dat, Soubory dBASE, Položky registru IISAM a Společné soubory součásti ODBC v tomto souboru s nápovědou. Program dBASE je produkt společnosti inprise Corporation a obsahuje vlastní soubor s nápovědou.


Dialogové okno Definice formátu textu

Pomocí dialogového okna Definice formátu textu lze definovat formáty sloupců ve vybraném souboru a zadat schéma pro každou tabulku dat. Dialogové okno Definice formátu textu obsahuje zejména následující ovládací prvky:

Přidat | Přidá sloupec pomocí hodnot v polích Typ dat, Název a Šířka.
Znaky | ANSI nebo OEM. Standard OEM určuje znakovou sadu jinou než ANSI a je vybrána ve výchozím nastavení, pokud nebyl definován formát položky vybrané v seznamu Tabulky.
Záhlaví s názvy sloupců | Určuje, zda budou sloupce na prvním řádku vybrané tabulky použity pro názvy sloupců. Výchozí hodnota je FALSE (zrušení zaškrtnutí), pokud nebyl definován formát položky vybrané v seznamu Tabulky.
Sloupce | Zobrazí seznam názvů všech sloupců v tabulce vybrané v seznamu Tabulky. Pořadí sloupců v tabulce je zachováno.
Typ dat | Lze vybrat možnost BIT, BYTE, char, CURRENCY, date, float, integer, longchar, short nebo SINGLE. Pro datový typ datum použijte formát „dd-mmm-rr“, „mm-dd-rr“, „mmm-dd-rr“, „rrrr-mm-dd“ nebo „rrrr-mmm-dd“. („mm“ znamená číslo měsíce, „mmm“ znamená zkratku pro rozepsaný měsíc.)
Oddělovač | Vlastní znak pro oddělování sloupců. Je možné použít pouze jeden znak. Nelze použít uvozovky. Tato možnost je k dispozici, pokud je v okně Formát zaškrtnuto políčko Vlastní oddělené.
Formát | Oddělený nebo s pevnou délkou. V prvním případě je určen typ použitého oddělovače: Čárka (CSV), tabulátor nebo zvláštní znak (vlastní). Výchozí nastavení je Oddělení, pokud nebyl definován formát položky vybrané v seznamu Tabulky. Jestliže je nastaven Formát s pevnou délkou a je zaškrtnuto políčko Záhlaví s názvy sloupců, musí být první řádek oddělen čárkou.
Odhadnout | Klepnutím na toto tlačítko dojde k vygenerování typu dat, názvu a šířky sloupců vybrané tabulky tak, že se prověřuje obsah tabulky podle volby vybrané v seznamu Formát. Tato možnost je povolena, pokud je ve formátu tabulky použit oddělovač. Dříve definované sloupce v seznamu Sloupce jsou vymazány a nahrazeny novými položkami. Není-li zaškrtnuto políčko Záhlaví s názvy sloupců, jsou názvy sloupců generovány jako „F1“, „F2“ atd. Tato funkci lze použít pouze u sloupců menších než 64 513 bajtů.
Změnit | Klepnutím na toto tlačítko lze změnit vybraný sloupec pomocí hodnot v polích Typ dat, Název a Šířka.
Název | Název vybraného sloupce. Pomocí této možnosti určíte název existujícího nebo nového sloupce. Pokud je zaškrtnuto políčko Záhlaví s názvy sloupců, je zobrazený název sloupce ignorován.
Odebrat | Odstraní vybraný sloupec.
Počet prověřovaných řádků | Počet řádků prověřovaných instalačním programem nebo ovladačem při nastavování sloupců a typů dat ve sloupcích. Jestliže v seznamu Tabulky nebyl definován formát vybrané položky, je výchozí hodnota 25 (lze zadat hodnotu v rozmezí 1 až 32767).
Tabulky | Zobrazí seznam všech souborů, jejichž přípony odpovídají příponám určeným v adresáři vybraném v dialogovém okně Nastavení ODBC pro text. Jestliže je vybráno výchozí nastavení, je seznam Sloupce nedostupný.
Šířka | Hodnota může být změněna u sloupců CHAR a LONGCHAR. U ostatních typů dat není možnost Šířka k dispozici a její hodnota není zobrazena. Výchozí hodnota je 1, pokud nebyl definován formát položky vybrané v seznamu Tabulky.


Soubory Excel

Ovladače ODBC Desktop Database Drivers 4.0 obsahují následující soubory ISAM pro Excel:

32bitový zdroj ISAM | Verze aplikace Microsoft Excel
Msexcl40.dll Odexl32.dll | 3.0, 4.0, 5.0, 7.0, 97

Ovladač aplikace Microsoft Excel nepřečte soubory Excel z verzí dřívějších než 3.0. Tyto soubory mohou lze však otevřít v pozdějších verzích aplikace Microsoft Excel a uložit ve formátu verzí 3.0, 4.0, 5.0, 7.0 nebo 97, který již ovladač přečte.


Položky registru IISAM

Nastavení registru IISAM je zapsáno při volání funkce DLLRegisterServer pro jednotlivé knihovny DLL registru IISAM a je odebráno v případě volání funkce DLLUnregisterServer. Funkce DLLRegisterServer je volána dynamicky funkcí Jet ODBC pro jednotlivé knihovny DLL registru IISAM. Pokud se například nezdaří pokus o připojení pomocí registru IISAM, pokusí se ovladač tento registr IISAM inicializovat (voláním funkce DLLRegisterServer) a potom se znovu pokusí o připojení.


Dialogové okno Nastavení ODBC pro Microsoft Excel

Hlavní ovládací prvky dialogového okna Nastavení ODBC pro Microsoft Excel:

Název zdroje dat | Identifikuje soubor aplikace Excel. Pole Popis, které je ve výchozím nastavení prázdné, může obsahovat podrobnější informace.
Databáze | Pomocí těchto možností lze změnit výchozí umístění souboru. Chcete-li změnit umístění, klepněte na tlačítko Vybrat adresář, případně Vybrat sešit, podle toho, kterou verzi aplikace Excel jste vybrali v okně Verze.
Ovladač | Pole Počet prověřovaných řádků určuje počet řádků prověřovaných instalačním programem nebo ovladačem při nastavení sloupců a typů dat ve sloupcích. Počet může být v rozmezí 1 až 16. Aktualizace souboru můžete zakázat zaškrtnutím políčka Jen pro čtení.

Poznámka: Podrobné a programové informace o tomto ovladači naleznete na serveru msdn.microsoft.com. Otevřete knihovnu MSDN Library Online, část Platform SDK (Sada SDK pro používanou platformu), kde naleznete informace o sadě SDK pro součásti MDAC, jejichž součástí je oddíl s názvem ODBC Drivers (Ovladače ODBC). Další informace naleznete v tématech Převod zdroje dat, Soubory Excel, Položky registru IISAM a Společné soubory součásti ODBC v tomto souboru s nápovědou. Podpora produktu je zajištěna.


Dialogové okno Nastavení ODBC pro text

Hlavní ovládací prvky dialogového okna Nastavení ODBC pro text:

Název zdroje dat | Identifikuje soubor. Pole Popis, které je ve výchozím nastavení prázdné, může obsahovat podrobnější informace.
Databáze | Výchozí umístění souboru. Chcete-li vybrat jiné umístění, klepněte na tlačítko Vybrat adresář.
Soubory | Seznam přípon textových souborů zdroje dat. Chcete-li použít všechny soubory v adresáři, zaškrtněte políčko Výchozí (*.*). Jestliže chcete použít pouze soubory s určitými příponami, zrušte zaškrtnutí políčka Výchozí (*.*) a zadejte požadované přípony. Pokud je zaškrtnutí zrušeno, jsou brány jako výchozí následující přípony: ASC, CSV, TAB a TXT. Chcete-li přidat příponu, zadejte ji v poli Přípona a klepněte na tlačítko Přidat. Přípona musí být zadána ve formátu *.xxx. V případě souboru DAT například zadejte příponu *.dat. Jestliže chcete odebrat příponu, vyberte ji v Seznamu přípon a klepněte na tlačítko Odebrat.
Definovat formát | K definování formátu sloupců ve vybraném souboru a k zadání schématu pro každou tabulku dat použijte dialogové okno Definice formátu textu. Poznámka: V případě použití textového ovladače je při provedení příkazu CREATE TABLE s názvem bez přípony vytvořen soubor bez přípony. Soubory bez přípon lze v dialogovém okně Definice formátu textu zobrazit po přidání „*.“ do seznamu Seznam přípon v dialogovém okně Nastavení ODBC pro text.

Poznámka: Podrobné a programové informace o tomto ovladači naleznete na serveru msdn.microsoft.com. Otevřete knihovnu MSDN Library Online, část Platform SDK (Sada SDK pro používanou platformu), kde naleznete informace o sadě SDK pro součásti MDAC, jejichž součástí je oddíl s názvem ODBC Drivers (Ovladače ODBC). Další informace naleznete v tématech Převod zdroje dat, Položky registru IISAM, Textové soubory ISAM a Společné soubory součásti ODBC v tomto souboru s nápovědou.


Soubory Paradox

Ovladače ODBC Desktop Database Drivers 4.0 obsahují následující soubory ISAM pro aplikaci Paradox:

32-bitový zdroj ISAM | Verze aplikace Paradox
Mspdox40.dll Odpdx32.dll | Paradox 3.x Paradox 4.x Paradox 5.x


Podpora produktu

Protože mnoho produktů společnosti Microsoft používá ODBC jako základní součást a také znovu distribuuje ovladače ODBC, považují Služby odborné pomoci společnosti Microsoft ODBC za součást produktu. Podpora pro ODBC je poskytována v rámci podpory konkrétního produktu. Další informace naleznete v dokumentaci k jednotlivým produktům.


Dialogové okno Opravit databázi

Dialogové okno Opravit databázi slouží k opravě konkrétní databáze. Pomocí tohoto dialogového okna můžete určit způsob přístupu během oprav - sdílené čtení/psaní (výchozí nastavení), jen pro čtení (zabraňující aktualizacím) nebo výhradní přístup.

Vyskytne-li se během procesu potvrzení chyba na straně klienta, je daná databáze pravděpodobně poškozena a je třeba ji opravit. Opravy lze provádět v dialogovém okně Nastavení ODBC pro Microsoft Access. Klepněte na tlačítko Opravit a v dialogovém okně Opravit databázi vyberte soubor a cestu. Klepněte na tlačítko OK.


Dialogové okno Vybrat databázi

Jestliže není při instalaci poskytnuta žádná databáze, je uživatel vyzván ke zvolení databáze při připojení ke zdroji dat.

Při použití ovladače aplikace Microsoft Access otevřete klepnutím na tlačítko Vybrat v dialogovém okně Nastavení ODBC pro Microsoft Access existující databázi pomocí dialogového okna Vybrat databázi. Hlavní ovládací prvky tohoto dialogového okna:

Název databáze | Název existujícího databázového souboru s příponou MDB.
Jen pro čtení | Nastaví databázi jen pro čtení, čímž se zabrání aktualizacím.
Výhradní přístup | Po zaškrtnutí bude databáze otevřena v exkluzivním režimu, ve kterém je přístup omezen na jednoho uživatele. Zaškrtnutím také zlepšíte výkon databáze. Po zrušení zaškrtnutí bude databáze otevřena ve sdíleném režimu a je přístupná pro více uživatelů zároveň.


Dialogové okno Vybrat indexy

Hlavní ovládací prvky dialogového okna Vybrat indexy:

Tabulky | Zobrazí všechny soubory v aktuálně vybraném zdroji dat.
Indexy | Zobrazí indexy přiřazené aktuálně vybranému souboru v seznamu Tabulky.
Zobrazit soubory typu | Určuje, které typy souborů se zobrazí v seznamu Indexy.

Ovladač ODBC dBASE automaticky otevírá a aktualizuje indexové soubory dBASE IV. Soubory NDX dBASE III je třeba k souborům dBASE přiřadit v dialogovém okně Vybrat indexy.

Při tvorbě indexů dBASE platí následující omezení:

  • Názvy všech sloupců musí být platné.

  • Všechny sloupce musí být ve stejném vzestupném či sestupném pořadí.

  • Délka jednotlivých textových sloupců nesmí překročit 100 bajtů.

  • V případě existence více sloupců musí být všechny sloupce textové a součet jejich délek nesmí překročit 100 bajtů.

  • Pole poznámky nelze indexovat.

  • Není možné, aby index aktuální sady polí byl již přiřazen. (To znamená, že nejsou povoleny duplicitní indexy.)

  • Název indexu musí odpovídat konvencím programu dBASE. Program dBASE III vyžaduje, aby každý index byl samostatným souborem s příponou NDX. V programu dBASE IV jsou indexy vytvářeny jako názvy značek uložených v jednom souboru MDX se stejným základním názvem jako soubor databáze. (Emp.mdx je například indexový soubor pro databázi Emp.dbf.)

Přidružení indexu k tabulce

  1. V seznamu Tabulky vyberte soubor.

  2. V seznamu Indexy vyberte index.

  3. Uložte klepnutím na tlačítko OK.

Poznámka: Ovladač indexy rozpozná pouze v případě, že budou přiřazeny v tomto dialogovém okně.


Dialogové okno Vybrat systémovou databázi

Při použití ovladače aplikace Microsoft Access klepněte na tlačítko Databáze a potom na dialogové okno Nastavení ODBC pro Microsoft Access, kde vyberte systémovou databázi pomocí dialogového okna Vybrat systémovou databázi. V závislosti na požadavcích zabezpečení systému může ovladač zobrazit výzvu k zadání názvu a hesla systémové databáze. Výchozí uživatelské jméno je Admin a výchozí heslo aplikace Microsoft Access pro uživatele Admin je prázdný řetězec.

Hlavní ovládací prvky dialogového okna Vybrat systémovou databázi:

Název databáze | Název existujícího databázového souboru s příponou MDB.
Jen pro čtení | Nastaví databázi jen pro čtení, čímž se zabrání aktualizacím.
Výhradní přístup | Po zaškrtnutí bude databáze otevřena v exkluzivním režimu, ve kterém je přístup omezen na jednoho uživatele. Zaškrtnutím také zlepšíte výkon databáze. Po zrušení zaškrtnutí bude databáze otevřena ve sdíleném režimu a je přístupná pro více uživatelů zároveň.


Dialogové okno Vybrat sešit

Pomocí dialogového okna Vybrat sešit je možné vyhledat a vybrat soubor sešitu aplikace Microsoft Excel. Název vybraného souboru je zobrazen v poli Název databáze. Aktualizace souboru můžete zakázat zaškrtnutím políčka Jen pro čtení. Pomocí oken Adresáře, Zobrazit soubory typu a Jednotky můžete vyhledat požadovaný sešit, případně klepnout na tlačítko Síť a vyhledat sešit v síti.


Dialogové okno Další možnosti - nastavení

Aby bylo možné použít dialogové okno Další možnosti – nastavení, je nutné nejdříve zadat přihlašovací jméno a heslo k ovladači.

V závislosti na požadavcích zabezpečení systému může ovladač zobrazit výzvu k zadání jména a hesla v případě, že zdroj dat používá systémovou databázi (pracovní skupiny). Výchozí uživatelské jméno je Admin a výchozí heslo aplikace Microsoft Access pro uživatele Admin je prázdný řetězec.

Ovladač pak použije následující možnosti, které jsou k dispozici v dialogovém okně Další možnosti – nastavení, při přístupu ke všem databázím Access.

DefaultDir | Určuje výchozí adresář pro ovladač.
Ovladač | Použijte k zadání vlastního názvu ovladače aplikace Access.
FIL | Typ souboru. „MS Access“ v případě aplikace Microsoft Access.
ExtendedAnsiSQL | Atribut spojovacího řetězce. Pokud je nastaven na hodnotu 1, umožňuje využívat funkce databázového stroje Jet 4.0, jako například vytváření a odstraňování pohledů a procedur, zjišťování zkrácení dat, nové typy dat a používání seznamu rezervovaných slov podle normy SQL-92. Výchozí hodnota je 0, která nepovoluje použití žádné z těchto funkcí.
ImplicitCommitSync | Určuje, jakým způsobem jsou změny nespadající do transakce zapisovány do databáze. Tato hodnota je zpočátku nastavena na „Ano“, což znamená, že ovladač aplikace Microsoft Access počká na potvrzení interní/implicitní transakce.
MaxBufferSize | Velikost vnitřní vyrovnávací paměti v kilobajtech, použité aplikací Microsoft Access k přenosu dat z disku a na disk. Výchozí nastavení je 2048 kB (zobrazeno jako 2048). Lze použít jakékoli celé číslo dělitelné číslem 256. Tuto možnost je možné nastavit také v dialogovém okně Nastavit (možnost Velikost vyrovnávací paměti).
MaxScanRows | Počet řádků, které budou prověřovány při nastavení typu dat sloupce na základě existujících dat. Může být v rozmezí 1 až 16, výchozí nastavení je 8. Při nastavení na hodnotu 0 se prověřují všechny řádky. (Při zadání čísla mimo omezení se zobrazí chybová zpráva.)
PageTimeout | Doba (v desetinách sekundy), po kterou nepoužitá stránka zůstane ve vyrovnávací paměti. U ovladače aplikace Microsoft Access je výchozí hodnota 0,5 sekund, přičemž hodnota musí být vždy vyšší než 0. Tato možnost platí pro všechny zdroje dat, které používají ovladač aplikace Microsoft Access.
ReadOnly | Nastaví databázi jen pro čtení, čímž se zabrání aktualizacím.
SafeTransactions | Pokud má hodnotu 0, což je výchozí nastavení, jsou všechny transakce potvrzeny ihned. Jestliže má hodnotu 1, jsou všechny transakce v rámci procesu potvrzení pouze uloženy na disk, dojde však k lehkému snížení výkonu.
Threads | Počet podprocesů na pozadí používaných nástrojem. Výchozí hodnota je 3. V případě velkého počtu činností databáze může uživatel počet podprocesů zvýšit.
UserCommitSync | Určuje, zda bude ovladač aplikace Microsoft Access provádět explicitní transakce definované uživatelem asynchronně. Výchozí nastavení této hodnoty je „Ano", což znamená, že ovladač aplikace Microsoft Access počká na potvrzení uživatelem definované transakce. Nastavení této hodnoty na hodnotu „Ne" může mít v prostředí s více uživateli nepředvídatelný vliv na chování transakcí.


Textové soubory ISAM

Ovladače ODBC Desktop Database Drivers 4.0 obsahují dva 32bitové soubory ISAM pro textové soubory: Mstext40.dll a Odtext32.dll.


Dialogové okno Nastavení ODBC pro Paradox

Hlavní ovládací prvky dialogového okna Nastavení ODBC pro Paradox:

Název zdroje dat | Určuje název databáze Paradox. Výchozí nastavení je přiřazeno výrobcem. Pole Popis, které je ve výchozím nastavení prázdné, může obsahovat podrobnější informace.
Databáze | Databázi Paradox vyhledejte pomocí těchto možností nebo použijte aktuální adresář. Je možné také vybrat určitou verzi jakékoli instalované databáze.
Možnosti Klepnutím můžete změnit možnosti ovladače týkající se přístupu, služeb a výkonu:
  • Pořadí řazení. Určuje pořadí, v jakém jsou pole seřazena.

  • Výhradní přístup. Omezuje přístup pouze na jednoho uživatele a zvyšuje výkon.

  • Časový limit stránky. Doba (v desetinách sekundy), po kterou nepoužitá stránka zůstane ve vyrovnávací paměti.

  • Uživatelské jméno. Uživatelské jméno v aplikaci Paradox, které se zobrazí ostatním uživatelům souborů aplikace Paradox při uzamčení.

  • Styl souboru .net. Styl přístupu k síti při přístupu k datům aplikace Paradox.

Poznámka: Podrobné a programové informace o tomto ovladači naleznete na serveru msdn.microsoft.com. Otevřete knihovnu MSDN Library Online, část Platform SDK (Sada SDK pro používanou platformu), kde naleznete informace o sadě SDK pro součásti MDAC, jejichž součástí je oddíl s názvem ODBC Drivers (Ovladače ODBC). Další informace naleznete v tématech Převod zdroje dat, Soubory Paradox, Položky registru IISAM a Společné soubory součásti ODBC v tomto souboru s nápovědou. Aplikace Paradox je produkt společnosti INPRISE Corporation a obsahuje vlastní soubor s nápovědou.